ru.bitel.bgbilling.modules.smarthouse.common.service

## Interface ForpostAccountService

-     public interface ForpostAccountService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addForpostAccount(int contractId, ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostAccount forpostAccount)`
    `void` | `deleteForpostAccount(int id)`
    `void` | `doSync()`
    `ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostAccount` | `getDefaultForpostAccount(int contractId)`
    `ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostAccount` | `getForpostAccount(int forpostAccountId)`
    `void` | `linkForpostAccount(int id, int contractId)`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostAccount>` | `searchForpostAccounts(int contractId, java.lang.String accountName, java.lang.String[] sort, Page page)`
    `void` | `unlinkForpostAccount(int id)`
    `void` | `updateForpostAccountParam(int forpostAccountId, java.lang.String name, java.lang.String value)`

- - ### Method Detail

    - #### searchForpostAccounts

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostAccount> searchForpostAccounts(int contractId,
                                                                                                                       java.lang.String accountName,
                                                                                                                       java.lang.String[] sort,
                                                                                                                       Page page)
                                                                                                                throws ru.bitel.bgbilling.common.BGException,
                                                                                                                       ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### doSync

          void doSync()
               throws ru.bitel.bgbilling.common.BGException,
                      ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### getDefaultForpostAccount

          ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostAccount getDefaultForpostAccount(int contractId)
                                                                                                     throws ru.bitel.bgbilling.common.BGException,
                                                                                                            ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### addForpostAccount

          int addForpostAccount(int contractId,
                                ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostAccount forpostAccount)
                         throws ru.bitel.bgbilling.common.BGException,
                                ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateForpostAccountParam

          void updateForpostAccountParam(int forpostAccountId,
                                         java.lang.String name,
                                         java.lang.String value)
                                  throws ru.bitel.bgbilling.common.BGException,
                                         ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### deleteForpostAccount

          void deleteForpostAccount(int id)
                             throws ru.bitel.bgbilling.common.BGException,
                                    ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### getForpostAccount

          ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostAccount getForpostAccount(int forpostAccountId)
                                                                                              throws ru.bitel.bgbilling.common.BGException,
                                                                                                     ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### unlinkForpostAccount

          void unlinkForpostAccount(int id)
                             throws ru.bitel.bgbilling.common.BGException,
                                    ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### linkForpostAccount

          void linkForpostAccount(int id,
                                  int contractId)
                           throws ru.bitel.bgbilling.common.BGException,
                                  ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`